<template>
  <v-row>
    <div id="divCommunitiesEvents">
      <v-row
        justify="center"
        align="center"
      >
        <!-- COMMUNITIES -->
        <v-col
          cols="5"
          lg="5"
          class="text-right headline tertiary--text mr-4"
        >
          <v-row dense>
            <v-col
              cols="10"
              lg="5"
              offset="3"
              offset-lg="7"
              class="font-weight-bold tertiary--text"
            >
              {{ $t('communities.title') }}
            </v-col>
          </v-row>
          <v-row
            dense
            style="min-height:150px;"
          >
            <v-col
              cols="10"
              lg="5"
              offset="3"
              offset-lg="7"
              class="subtitle-1"
            >
              {{ $t('communities.preText') }} <span class="success--text">{{ $t('communities.coloredText') }}</span> {{ $t('communities.postText') }}
            </v-col>
          </v-row>
          <v-row
            dense
          >
            <v-col
              cols="10"
              lg="5"
              offset="3"
              offset-lg="7"
            >
              <v-btn
                outlined
                rounded
                :href="$t('communities.link')"
                dark
                :class="`${hoverCommunities ? 'success': ''}`"
                :color="`${hoverCommunities ? 'white': 'success'}`"                
                @mouseover="hoverCommunities= true"
                @mouseleave="hoverCommunities = false"
              >
                {{ $t('communities.button') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
        <v-col
          cols="5"
          lg="5"
          class="text-left headline tertiary--text ml-4"
        >
          <v-row dense>
            <v-col
              cols="10"
              lg="5"
              class="font-weight-bold"
            >
              {{ $t('events.title') }}
            </v-col>
          </v-row>
          <v-row
            dense
            style="min-height:150px;"
          >
            <v-col
              cols="10"
              lg="5"
              class="subtitle-1"
            >
              {{ $t('events.preText') }} <span class="accent--text">{{ $t('events.coloredText') }}</span> {{ $t('events.postText') }}
            </v-col>
          </v-row>
          <v-row dense>
            <v-col
              cols="10"
              lg="5"
            >
              <v-btn
                outlined
                rounded
                dark
                :href="$t('events.link')"
                :class="`${hoverEvents ? 'accent': ''}`"
                :color="`${hoverEvents ? 'white': 'accent'}`"                
                @mouseover="hoverEvents= true"
                @mouseleave="hoverEvents = false"              
              >
                {{ $t('events.button') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </div>
  </v-row>
</template>
<script>
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/CommunitiesEvents/";
export default {
  i18n: {
    messages: {
      'en': messages_client_en,
      'eu': messages_client_eu,
      'fr': messages_client_fr
    }
  },
  data () {
    return {
      widthDivs: 1490,
      hoverCommunities: false,
      hoverEvents: false 
    }
  }
}
</script>
<style scoped lang="scss">
#divCommunitiesEvents{
    background:url('/images/pages/home/background-communities-events.png') no-repeat;
    width:100%;
    height:721px;
    padding-top:260px;
    //background-size:contain;
    background-position-x: center;
}
.accent {
  background-color: #EA6619;
}

.success {
  background-color: #56bc5e;
}
</style>